## e2fsprogs 1.40.8

=== lib/ext2fs/tdb/Makefile ===
all: tdbtool

tdb.c tdb.h tdbtool.c: 
	./build-tdb

tdbtool.o: tdbtool.c
	gcc -c tdbtool.c

tdbtool: tdb.o tdbtool.o
	gcc -o tdbtool tdb.o tdbtool.o

clean:
	rm -f tdb.c tdb.h tdb.o tdbtool tdbtool.c tdbtool.o .svninfo
	rm -rf .pc

## e2fsprogs 1.41.3-1maemo6%2b0m5

=== debian/changelog ===
e2fsprogs (1.41.3-1maemo6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 25 Nov 2009 16:32:26 +0200

e2fsprogs (1.41.3-1maemo6) unstable; urgency=low

  * Fixes: NB#148309 - legal bug

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 25 Nov 2009 15:20:01 +0200

e2fsprogs (1.41.3-1maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Aug 2009 20:30:51 +0300

e2fsprogs (1.41.3-1maemo5) unstable; urgency=low

  * Integrating Alexander's version.
  * Caching redone. Fixes: NB#121684.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 26 Aug 2009 11:15:38 +0300

e2fsprogs (1.41.3-1maemo5~ash0) unstable; urgency=low

  * Caching redone. Fixes: NB#121684.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Fri, 21 Aug 2009 15:57:38 +0300

e2fsprogs (1.41.3-1maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 23 Jun 2009 09:38:21 +0300

e2fsprogs (1.41.3-1maemo4) unstable; urgency=low

  * Fixes: NB#118292 Restored -dbg package building by introducing
    dh_strip from Ubuntu 8.04.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 22 Jun 2009 13:36:26 +0300

e2fsprogs (1.41.3-1maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 22 May 2009 18:38:26 +0300

e2fsprogs (1.41.3-1maemo3) unstable; urgency=low

  * Applied two experimental patches to speed-up ext2/3 filesystem creation.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 22 May 2009 18:27:23 +0300

e2fsprogs (1.41.3-1maemo2) unstable; urgency=low

  * configure with --disable-nls (Fixes: NB#94925)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 07 Jan 2009 13:57:23 +0200

e2fsprogs (1.41.3-1maemo1) unstable; urgency=low

  * Remove build dependency & configuration options to dietlibc
  * Removed broken dbg packages
  * Removed unsupported options in groupadd/useradd in libuuid postinst
    and replaced them with selecting first unused ones
  * Make libuuid1 depend on base-passwd to make sure it's there
  * Changed maintainer to integration@maemo.org

 -- Jussi hakala <ext-jussi.hakala@nokia.com>  Thu, 04 Dec 2008 16:01:19 +0200

e2fsprogs (1.41.3-1) unstable; urgency=low

  * New upstream release
  * Fix e2fsck so it prints the correct inode number for uinit_bg
    related problems.
  * E2fsck will offer to clear the test_fs flag if the ext4 filesystem
    is available.
  * Fix a file descriptor leak in libblkid
  * Avoid a poteintial infinite loop in e2fsck when there are disk I/O
    errors while trying to close a filesystem.
  * Fix a potential infinite loop in resize2fs when a bogus new size of
    0 blocks is specified on the command line.
  * Add an early check to see if a device is read-only to avoid lots of
    confusing error messages.
  * Fix debugfs's ncheck command so it prints all of the names of
    hardlinks in the same directories.
  * Fix a bug in libblkid so it correctly detects whether the ext4 and
    ext4dev filesystems are available, so that the ext4dev->ext4
    fallback code works correctly.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 12 Oct 2008 22:45:34 -0400

e2fsprogs (1.41.2-1) unstable; urgency=low

  * New upstream release
  * Fix e2fsck's automatic blocksize detection.  This fixes a regression
      added in e2fsprogs 1.40.7 where e2fsck's -b option would not
      work if a blocksize wasn't also specified via the -B option.
  * Fix a potential file descriptor leak in libcom_err if the
      application exec's another program.
  * Fixed badblocks output for "badblocks -sw"
  * debugfs: Fix ncheck to print all pathnames for all of the specified inodes
  * Use dietlibc when possible for building e2fsck.static, to reduce the
      size of the static binary.
  * debugfs: Add the ability to specify the hash seed and to specify the
      hash algorithm by name to the "hash" command.
  * Add documentation for the file I/O functions to libext2fs.texinfo.
      (Closes: #484877)
  * Fix a bug in e2fsck where if a translation file is being used and
      e2fsck needs to print problem report with a custom question (such as
      "Run journal anyway?"), the PO file's header would get spewed onto
      the terminal.
  * Update Swedish, Vietnamese, Dutch, Indonesian, German, Czech translations
  * Fixed spelling mistakes in man pages  (Closes: #498100, #498101,
      #498102, #498103)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 02 Oct 2008 08:54:16 -0400

e2fsprogs (1.41.1-3) unstable; urgency=low

  * badblocks -v will now display the time and percentage complete
      (Closes: #429739)
  * Reordered debian/rules when building udebs to avoid a Lintian warning
  * Fixed dependencies fields in the udeb packages (Closes: #497619)
  * Avoid linking various programs with unneeded libraries
  * Fixed a typo'ed bold font specifier in mke2fs's man page
  * Fixed the pkg-config files so the include directory needed by the
      various libraries is included, and to use Requires.private to
      avoid unnecessary linking of dynamic libraries.
  * Add more historical information to the debian/*.symbol files

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 05 Sep 2008 11:11:03 -0400

e2fsprogs (1.41.1-2) unstable; urgency=low

  * Make sure ext4_swab64() is defined on all platforms (Closes: #497515)
  * Badlocks: Use O_LARGEFILE so it will run on files greater than 2GB

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 02 Sep 2008 09:53:46 -0400

e2fsprogs (1.41.1-1) unstable; urgency=low

  * New upstream release
  * mke2fs and tune2fs now use half-md4 as the default hash algorithm


=== debian/control ===
Source: e2fsprogs
Section: admin
Priority: required
Maintainer: Maemo Integration <integration@maemo.org>
Build-Depends: texi2html (>= 1.76), gettext, texinfo, dc, pkg-config, debhelper (>= 4.2), quilt
Standards-Version: 3.8.0.0

Package: e2fsck-static
Section: admin
Priority: optional
Depends:
Recommends: sash | bash-static | zsh-static | busybox-static | zsh30-static
Architecture: any
Description: statically-linked version of the ext2 filesystem checker
 This may be of some help to you if your filesystem gets corrupted enough
 to break the shared libraries used by the dynamically linked checker.
 .
 This binary takes much more space than its dynamic counterpart located
 in e2fsprogs, though.
 .
 You may want to install a statically-linked shell as well, to be able
 to run this program if something like your C library gets corrupted.

Package: libcomerr2
Section: libs
Priority: required
Provides: libcomerr-kth-compat
Depends: ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: common error description library
 libcomerr is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.

Package: comerr-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libcomerr2 (= ${mainBinary})
Suggests: doc-base
Replaces: e2fslibs-dev (<< 1.33-2), libkrb5-dev (<< 1.3)
Architecture: any
Description: common error description library - headers and static libraries
 libcom_err is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.
 .
 This package contains the development environment for the com_err library.

Package: libss2
Section: libs
Priority: required
Depends: libcomerr2, ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: command-line interface parsing library
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.

Package: ss-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libss2 (= ${mainBinary}), comerr-dev
Architecture: any
Description: command-line interface parsing library - headers and static libraries
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.
 .
 This package contains the development environment for the ss library.

Package: libuuid1
Section: libs
Priority: required
Depends: base-passwd, passwd, ${shlibs:Depends}
Recommends: uuid-runtime
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: universally unique id library
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.

Package: uuid-runtime
Section: libs
Priority: optional
Depends: passwd, libuuid1 (>> 1.40.3-1), ${shlibs:Depends}
Replaces: e2fsprogs (<= 1.40.3-1ubuntu1)
Architecture: any
Description: universally unique id library
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate universally unique identifiers (UUIDs),
 especially time-based UUID’s, in a secure and guaranteed-unique fashion,
 even in the face of large numbers of threads trying to grab UUID’s
 running on different CPU’s. It is used by libuuid as well as the
 uuidgen program.

Package: libuuid1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: universally unique id library
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.
 .
 This is a minimal package for debian-installer.

Package: uuid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libuuid1 (= ${mainBinary})
Replaces: e2fslibs-dev (<< 1.15)
Architecture: any
Description: universally unique id library - headers and static libraries
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.
 .
 This package contains the development environment for the uuid library.

Package: libblkid1
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Architecture: any
Description: block device id library
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.

Package: libblkid1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: block device id library
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifiying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libblkid1 (= ${binary:Version})
Architecture: any
Description: block device id library - headers and static libraries
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifiying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.
 .
 This package contains the development environment for the blkid library.

Package: e2fsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: stripped-down versions of e2fsprogs, for debian-installer
 This package is an e2fsprogs package built for a reduced size, so that
 it can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

Package: e2fslibs
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Provides: libext2fs2, libe2p2
Architecture: any
Description: ext2 filesystem libraries
 The ext2fs and e2p libraries are used by programs that directly access 
 EXT2 filesystems from usermode programs.   The EXT2 filesystem is very often
 used as the default filesystem on Linux systems.   Various system programs
 that use libext2fs include e2fsck, mke2fs, tune2fs, etc.  Programs that use
 libe2p include dumpe2fs, chattr, and lsattr.

Package: e2fslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, comerr-dev, e2fslibs (= ${binary:Version})
Suggests: doc-base
Provides: ext2fs-dev, e2p-dev
Replaces: libkrb5-dev (<< 1.3)
Architecture: any
Description: ext2 filesystem libraries - headers and static libraries
 The ext2fs and e2p libraries are used by programs that directly access 
 EXT2 filesystems from usermode programs.   The EXT2 filesystem is very often
 used as the default filesystem on Linux systems.   Various system programs
 that use libext2fs include e2fsck, mke2fs, tune2fs, etc.  Programs that use
 libe2p include dumpe2fs, chattr, and lsattr.
 .
 This package contains the development environment for the ext2fs and e2p 
 libraries.

Package: e2fsprogs
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: 
Suggests: gpart, parted, e2fsck-static
Conflicts: dump (<< 0.4b4-4), quota (<< 1.55-8.1), initscripts (<< 2.85-4), sysvinit (<< 2.85-4)
Replaces: hurd (<= 20040301-1), libblkid1 (<< 1.38+1.39-WIP-2005.12.10-2), libuuid1 (<< 1.38+1.39-WIP-2005.12.10-2)
Architecture: any
Description: ext2/ext3/ext4 file system utilities
 The ext2, ext3 and ext4 file systems are successors of the original ext
 ("extended") file system. They are the main file system types used for
 hard disks on Debian and other Linux systems.
 .
 This package contains programs for creating, checking, and maintaining
 ext-based file systems, and the generic fsck wrapper.

Package: e2fsprogs-dbg
Section: devel
Priority: extra
Depends: e2fsprogs (= ${binary:Version})
Architecture: any
Description: Debugging information for e2fsprogs
 This package includes the debug information useful for debugging e2fsprogs
 and its libraries, contained in the e2fsprogs and e2fsck-static packages.
 The debug information is used for execution tracing and core
 dump analysis. 

Package: uuid-runtime-dbg
Section: libdevel
Priority: extra
Depends: uuid-runtime (= ${binary:Version})
Architecture: any
Description: Debugging information for uuid-runtime
 This package includes the debug information useful for debugging the
 uuid runtime programs, contained in the uuid-runtime package.
 The debugging information is used for execution tracing and core
 dump analysis.

Package: e2fslibs-dbg
Section: libdevel
Priority: extra
Depends: e2fslibs (= ${binary:Version})
Architecture: any
Description: Debugging information for e2fslibs
 This package includes the debug information useful for debugging the
 ext2fs and e2p libraries, contained in the e2fslibs package.  The debug
 information is used for execution tracing and core dump analysis.

Package: libcomerr2-dbg
Section: libdevel
Priority: extra
Depends: libcomerr2 (= ${binary:Version})
Architecture: any
Description: Debugging information for libcomerr2
 This package includes the debug information useful for debugging the
 com_err library, contained in the libcomerr2 package.  The debugging
 information is used for execution tracing and core dump analysis.

Package: libss2-dbg
Section: libdevel
Priority: extra
Depends: libss2 (= ${binary:Version})
Architecture: any
Description: Debugging information for libss2
 This package includes the debug information useful for debugging the
 ss library, contained in the libss2 package.  The debug information
 is used for execution tracing and core dump analysis.

Package: libblkid1-dbg
Section: libdevel
Priority: extra
Depends: libblkid1 (= ${binary:Version})
Architecture: any
Description: Debugging information for libblkid1
 This package includes the debug information useful for debugging the
 blkid library, contained in the libblkid1 package.  The debug
 information is used for execution tracing and core dump analysis.

Package: libuuid1-dbg
Section: libdevel
Priority: extra
Depends: libuuid1 (= ${binary:Version})
Architecture: any
Description: Debugging information for libuuid1
 This package includes the debug information useful for debugging the
 UUID library, contained in the libuuid1 package.  The debug
 information is used for execution tracing and core dump analysis.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.

# be paranoid
export LC_ALL=C

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_OS   ?= $(shell dpkg-architecture -qDEB_HOST_OS)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# find the version for the main package, from changelog file
MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
# find versions for libraries going into their own packages, from their Makefile.in's,
# and sonames for all libs
COMERR_VERSION = $(shell grep ELF_VERSION lib/et/Makefile.in | cut '-d ' -f3)
COMERR_SOVERSION = $(shell grep ELF_SO_VERSION lib/et/Makefile.in | cut '-d ' -f3)
SS_VERSION = $(shell grep ELF_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
SS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
UUID_VERSION = $(shell grep ELF_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
UUID_SOVERSION = $(shell grep ELF_SO_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
BLKID_VERSION = $(shell grep ELF_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
BLKID_SOVERSION = $(shell grep ELF_SO_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
EXT2FS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ext2fs/Makefile.in | cut '-d ' -f3)
E2P_SOVERSION = $(shell grep ELF_SO_VERSION lib/e2p/Makefile.in | cut '-d ' -f3)

package=e2fsprogs

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
udebdir=${debdir}/e2fsprogs-udeb
blkidudebdir=${debdir}/libblkid1-udeb
uuidudebdir=${debdir}/libuuid1-udeb
libcomerrdir=${debdir}/libcomerr${COMERR_SOVERSION}
comerrdevdir=${debdir}/comerr-dev
libcomerrdbgdir=${debdir}/libcomerr2-dbg
libssdir=${debdir}/libss${SS_SOVERSION}
ssdevdir=${debdir}/ss-dev
libssdbgdir=${debdir}/libss2-dbg
libblkiddir=${debdir}/libblkid${BLKID_SOVERSION}
libblkiddevdir=${debdir}/libblkid-dev
libblkiddbgdir=${debdir}/libblkid1-dbg
libuuiddir=${debdir}/libuuid${UUID_SOVERSION}
uuiddevdir=${debdir}/uuid-dev
libuuiddbgdir=${debdir}/libuuid1-dbg
uuidruntimedir=${debdir}/uuid-runtime
uuidruntimedbgdir=${debdir}/uuid-runtime-dbg
libext2dir=${debdir}/e2fslibs
libext2devdir=${debdir}/e2fslibs-dev
libext2dbgdir=${debdir}/e2fslibs-dbg
maindir=${debdir}/e2fsprogs
e2fsckstaticdir=${debdir}/e2fsck-static
debugdir=${debdir}/e2fsprogs-dbg
stdbuilddir=${debdir}/BUILD-STD
bfbuilddir=${debdir}/BUILD-BF
staticbuilddir=${debdir}/BUILD-STATIC
mipsbuilddir=${debdir}/BUILD-MIPS
mipsbuilddir64=${debdir}/BUILD-MIPS-64
# docdir=${maindir}/usr/share/doc/${package}
MANDIR=/usr/share/man
mandir=${tmpdir}${MANDIR}

UDEB_NAME = $(package)-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UDEB_PRIORITY = $(shell grep '^Package: e2fsprogs-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

BLKID_UDEB_NAME = libblkid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
BLKID_UDEB_PRIORITY = $(shell grep '^Package: libblkid1-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

UUID_UDEB_NAME = libuuid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UUID_UDEB_PRIORITY = $(shell grep '^Package: libuuid1-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

STAMPSDIR=debian/stampdir
CFGSTDSTAMP=${STAMPSDIR}/configure-std-stamp
CFGBFSTAMP=${STAMPSDIR}/configure-bf-stamp
CFGSTATICSTAMP=${STAMPSDIR}/configure-static-stamp
BUILDSTDSTAMP=${STAMPSDIR}/build-std-stamp
BUILDBFSTAMP=${STAMPSDIR}/build-bf-stamp
BUILDSTATICSTAMP=${STAMPSDIR}/build-static-stamp

CCOPTS = -g

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 0755

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CCOPTS += -O2
endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#INSTALL_PROGRAM += -s
#endif

ifeq (${DEB_HOST_ARCH},alpha)
CCOPTS += -DHAVE_NETINET_IN_H
else
CCOPTS += -D__NO_STRING_INLINES
endif

ifeq (${DEB_HOST_ARCH_OS},linux)
BUILD_STATIC = build-static
E2FSCK_STATIC = ${staticbuilddir}/e2fsck/e2fsck.static
else
E2FSCK_STATIC = ${stdbuilddir}/e2fsck/e2fsck.static
endif

BF_CCOPTS = -Os -fomit-frame-pointer

COMMON_CONF_FLAGS =  \
                --enable-elf-shlibs --infodir=/usr/share/info --enable-fsck \
		--disable-nls

STD_CONF_FLAGS = --with-ccopts="${CCOPTS}" --enable-compression

BF_CONF_FLAGS = --with-ccopts="${CCOPTS} ${BF_CCOPTS}" \
	--disable-imager --disable-testio-debug \
	--disable-uuidd --disable-tls \
	--disable-debugfs  --disable-e2initrd-helper

STATIC_CONF_FLAGS = --with-ccopts="${CCOPTS}" \
	--disable-imager \
	--disable-uuidd --disable-tls \
	--disable-e2initrd-helper \
	--with-ccopts=-fno-stack-protector

MIPS_NOPIC_CONF_FLAGS = --with-ccopts="${CCOPTS}" \
	--disable-imager \
	--disable-uuidd --disable-tls \
        --disable-resizer # --disable-debugfs

# we can't use those flags at configure time
MIPS_CFLAGS= -G 0 -fno-pic -mno-abicalls
MIPS_CFLAGS_64= -mabi=64 -G 0 -fno-pic -mno-abicalls

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel))
ismips=ismips
endif
endif

${CFGSTDSTAMP}:
	dh_testdir

	# Make sure we don't try to rebuild the configure scripts
	find . -name configure | xargs touch

	mkdir -p ${stdbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${stdbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS}
else
	cd ${stdbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

  # specially-built MIPS libs
ifneq ($(ismips),)
	mkdir -p ${mipsbuilddir} ${mipsbuilddir64}
	cd ${mipsbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS}
	cd ${mipsbuilddir64} && AWK=/usr/bin/awk \
		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS}
endif

	mkdir -p ${STAMPSDIR}
	touch ${CFGSTDSTAMP}

${CFGBFSTAMP}:
	dh_testdir
	rm -f config.cache

	mkdir -p ${bfbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${bfbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS}
else
	cd ${bfbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
	mkdir -p ${STAMPSDIR}
	touch ${CFGBFSTAMP}

${CFGSTATICSTAMP}:
	dh_testdir
	rm -f config.cache

	mkdir -p ${staticbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	if type diet > /dev/null  2>&1 ; then \
		cd ${staticbuilddir} && AWK=/usr/bin/awk \
			${topdir}/configure ${STATIC_CONF_FLAGS} \
			--with-diet-libc; \
	else \
		cd ${staticbuilddir} && AWK=/usr/bin/awk \
			${topdir}/configure ${STATIC_CONF_FLAGS}; \
	fi
else
	cd ${staticbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STATIC_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
	mkdir -p ${STAMPSDIR}
	touch ${CFGSTATICSTAMP}

build: patch build-std build-bf $(BUILD_STATIC)

build-std: ${BUILDSTDSTAMP}
${BUILDSTDSTAMP}: ${CFGSTDSTAMP}
	dh_testdir
	$(MAKE) -C ${stdbuilddir} all
	$(MAKE) -C ${stdbuilddir}/e2fsck e2fsck.static

	( cd ${stdbuilddir}/doc && \
	  texi2html -split_chapter ${topdir}/doc/libext2fs.texinfo )
	( cd ${stdbuilddir}/lib/et && $(MAKE) com_err.info && \
	  texi2html -split_chapter -expandinfo ${topdir}/lib/et/com_err.texinfo )

  # specially-built MIPS libs
ifneq ($(ismips),)
	$(MAKE) -C ${mipsbuilddir}/util
	$(MAKE) -C ${mipsbuilddir} \
		CFLAGS="${CCOPTS} ${MIPS_CFLAGS}" \

## e2fsprogs 1.41.12-4stable1

=== debian/changelog ===
e2fsprogs (1.41.12-4stable1) stable; urgency=high

  * Upload to proposed-updates
  * Fix "mke2fs -n" so it won't issue a discard and thus trash all
     the data on an SSD (oops!!!)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 18 Jun 2011 13:19:53 -0400

e2fsprogs (1.41.12-4) unstable; urgency=high

  * Clear ext4 error fields in the superblock.  Otherwise users will see
    scary messages every 24 hours after a file system error is detected,
    even after e2fsck has fixed it, if they are using Linux 2.6.35 or later.
  * Fix usage message for logsave (Closes: #619788)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 07 May 2011 21:22:54 -0400

e2fsprogs (1.41.12-3) unstable; urgency=high

  * Fix signed vs. unsigned char bug in getopt in e2fsprogs which
    afflicts systems with default unsigned char
  * Fix bug in e2fsck where it would fail to fix file systems
    where both the primary and backup block group descriptors are
    corrupted.  (Addresses Ubuntu Launchpad bug: #711799)
  * Fix package description: fsck has been moved to util-linux
    (Closes: #588726)
  * Fix badblocks so it the progress message correctly handles UTF-8
    characters for I18N systems (Closes: #583782, #587834)
  * Prevent e2fsck from accidentally scrambling a file system when
    checking a snapshot which has an external journal device (which has
    not been snapshotted).  (Closes: #587531)
  * Fix inode nlink accounting that would lead to very scary PROGRAMMING
    BUG errors.  (Closes: #555456)
  * Fix typos, spelling mistakes, spelling-out-the-obvious-to-clueless-
    sysadmins, etc. in man pages.  (Closes: #589345, #594004, #580236,
    #591083, #505719, #599786)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 30 Apr 2011 12:30:24 -0400

e2fsprogs (1.41.12-2) unstable; urgency=high

  * Allow tune2fs to set uninit_bg without requiring an fsck
  * Fix test in e2fsck to correctly check for EOFBLOCKS files
  * Fix dependencies for libuuid and libblkid (Closes: #583551)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 03 Jun 2010 09:30:36 -0400

e2fsprogs (1.41.12-1) unstable; urgency=low

  * New upstream release
  * mke2fs now gives the correct error message if the external journal
    is device is not found
  * The resize2fs program will refuse to print the minimum size needed
    for a file system if it is not clean.
  * E2fsck now tests for extents that begin at physical block 0 and
    rejects them as invalid.
  * Fixed a bug in e2fsck which could cause it to crash when trying to
    remove an invalid extent and the block bitmaps hadn't yet been loaded.
  * E2fsck will now completely skip time-based checks if the system
    clock looks insane or if the broken_system_clock option is set
    in /etc/e2fsck.conf.  (Closes: #549861, #540152)
  * Fixed a bug in e2fsck which caused e2fsck to complain about i_blocks
    with a 4T file created using posix_fallocate()
  * E2fsck will now correctly mark a sparse journal as invalid and will
    delete and recreate the journal to address the problem.
  * Fixed e2fsck not to ask permission from the user to abort if it's
    going to abort regardless of what the user is going to say...
  * E2fsck can now continue even if it fails to recreate the resize inode
  * E2fsck will now avoid removing directory entries for inods found in
    the unused region of the inode table until after it restarts the fs
    check to avoid removing valid data.
  * E2fsck will now longer try to set the block group checksums if it
    is interrupted.
  * Mke2fs will check both the physical and logical blocksizes of a
    device to better support 4k sector drives.
  * Mke2fs will accept the valid (but rarely useful) flex_bg size of 1
  * E2fsck will check for cases where the EOFBLOCKS_FL is set whe nit is
    not needed, and offer to clear it.
  * The com_err library will now only output a CR character if the
    stderr is connected to a tty in raw mode.
  * Update Czech, Chinese, Dutch, French, Germany, Indonesian, Polish,
    and Vietnamese translations (from the Translation Project)
  * Add an fsck.ext4 symlink in the e2fsprogs-udeb package (Closes: #571247)
  * Fix makefile dependency so dpkg-buildpackage -j2 works (Closes: #563487)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 17 May 2010 19:43:52 -0400

e2fsprogs (1.41.11-1) unstable; urgency=medium

  * New upstream release
  * Add Heimdal function com_right_r() to libcom_err (Closes: #558910)
  * Allow e2fsck to run even if the physical device has more than 2**32 blocks
  * Debugfs's "logdump -b <blk>" now properly shows the allocation status
    of the block <blk>.  (Closes: #564084)
  * Make e2fsck's "the filesystem is mounted" message is now more scary
    to hopefully dissuade users from thinking, "surely that message
    doesn't apply to *me*"  :-(
  * e2fsck -n will now always open the file system read-only.   We now
    disallow certain combination of options which previously were manual
    exceptions; this is bad because it causes users to think they are
    smarter than they really are.   So "-n -c", "-n -l", "-n -L", and
    "-n -D" are no longer supported.
  * If the partition is badly aligned, have mke2fs just print a warning
    message and continue.  Previously mke2fs would ask to confirm, and
    this broke distro installation scripts.
  * Fix a bug in libext2fs caused the creation of very large journals
    for ext4 to be _very_ slow.
  * E2fsck now understands the EOFBLOCKS_FL flag which will be used in
    2.6.34 kernels to make e2fsck not complain about blocks deliberately
    fallocated() beyond an inode's i_size.
  * Fix a bug in e2fsck which could cause e2fsck -D to corrupt
    non-indexed directories.  (Closes: #572453)
  * debian/rules: can be compiled statically with stack protector now.
    (Closes: #573923)
  * Update debian policy compliance to 3.8.4

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 15 Mar 2010 00:16:35 -0400

e2fsprogs (1.41.10-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: e2fsprogs
Section: admin
Priority: required
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends: texi2html (>= 1.76), gettext, texinfo, dc, pkg-config, dietlibc-dev (>> 0.30) [alpha amd64 arm hppa i386 ia64 powerpc ppc64 s390 sparc], debhelper (>= 7.0), m4, libblkid-dev (>= 2.16), uuid-dev (>= 2.16)
Standards-Version: 3.8.4
Homepage: http://e2fsprogs.sourceforge.net

Package: e2fsck-static
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sash | bash-static | zsh-static | busybox-static | zsh30-static
Architecture: any
Description: statically-linked version of the ext2/ext3/ext4 filesystem checker
 This may be of some help to you if your filesystem gets corrupted enough
 to break the shared libraries used by the dynamically linked checker.
 .
 This binary takes much more space than its dynamic counterpart located
 in e2fsprogs, though.
 .
 You may want to install a statically-linked shell as well, to be able
 to run this program if something like your C library gets corrupted.

Package: libcomerr2
Section: libs
Provides: libcomerr-kth-compat
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: common error description library
 libcomerr is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.

Package: comerr-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libcomerr2 (= ${mainBinary}), ${misc:Depends}
Suggests: doc-base
Replaces: e2fslibs-dev (<< 1.33-2), libkrb5-dev (<< 1.3)
Architecture: any
Description: common error description library - headers and static libraries
 libcom_err is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.
 .
 This package contains the development environment for the com_err library.

Package: libss2
Section: libs
Depends: libcomerr2, ${shlibs:Depends}, ${misc:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: command-line interface parsing library
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.

Package: ss-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libss2 (= ${mainBinary}), comerr-dev, ${misc:Depends}
Architecture: any
Description: command-line interface parsing library - headers and static libraries
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.
 .
 This package contains the development environment for the ss library.

Package: e2fsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: stripped-down versions of e2fsprogs, for debian-installer
 This package is an e2fsprogs package built for a reduced size, so that
 it can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

Package: e2fslibs
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Provides: libext2fs2, libe2p2
Architecture: any
Description: ext2/ext3/ext4 file system libraries
 The ext2, ext3 and ext4 file systems are successors of the original ext
 ("extended") file system. They are the main file system types used for
 hard disks on Debian and other Linux systems.
 .
 This package provides the ext2fs and e2p libraries, for userspace software
 that directly accesses extended file systems. Programs that use libext2fs
 include e2fsck, mke2fs, and tune2fs. Programs that use libe2p include
 dumpe2fs, chattr, and lsattr.

Package: e2fslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, comerr-dev, e2fslibs (= ${binary:Version}), ${misc:Depends}
Suggests: doc-base
Provides: ext2fs-dev, e2p-dev
Replaces: libkrb5-dev (<< 1.3)
Architecture: any
Description: ext2/ext3/ext4 file system libraries - headers and static libraries
 The ext2, ext3 and ext4 file systems are successors of the original ext
 ("extended") file system. They are the main file system types used for
 hard disks on Debian and other Linux systems.
 .
 This package contains the development environment for the ext2fs and e2p 
 libraries.

Package: e2fsprogs
Essential: yes
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.15~rc1-1)
Suggests: gpart, parted, e2fsck-static
Conflicts: dump (<< 0.4b4-4), quota (<< 1.55-8.1), initscripts (<< 2.85-4), sysvinit (<< 2.85-4)
Replaces: hurd (<= 20040301-1), libblkid1 (<< 1.38+1.39-WIP-2005.12.10-2), libuuid1 (<< 1.38+1.39-WIP-2005.12.10-2)
Architecture: any
Description: ext2/ext3/ext4 file system utilities
 The ext2, ext3 and ext4 file systems are successors of the original ext
 ("extended") file system. They are the main file system types used for
 hard disks on Debian and other Linux systems.
 .
 This package contains programs for creating, checking, and maintaining
 ext2/3/4-based file systems.

Package: e2fsprogs-dbg
Section: debug
Priority: extra
Depends: e2fsprogs (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: debugging information for e2fsprogs
 This package includes the debug information useful for debugging e2fsprogs
 and its libraries, contained in the e2fsprogs and e2fsck-static packages.
 The debug information is used for execution tracing and core
 dump analysis. 

Package: e2fslibs-dbg
Section: debug
Priority: extra
Depends: e2fslibs (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: debugging information for e2fslibs
 This package includes the debug information useful for debugging the
 ext2fs and e2p libraries, contained in the e2fslibs package.  The debug
 information is used for execution tracing and core dump analysis.

Package: libcomerr2-dbg
Section: debug
Priority: extra
Depends: libcomerr2 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: debugging information for libcomerr2
 This package includes the debug information useful for debugging the
 com_err library, contained in the libcomerr2 package.  The debugging
 information is used for execution tracing and core dump analysis.

Package: libss2-dbg
Section: debug
Priority: extra
Depends: libss2 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: debugging information for libss2
 This package includes the debug information useful for debugging the
 ss library, contained in the libss2 package.  The debug information
 is used for execution tracing and core dump analysis.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.

# be paranoid
export LC_ALL=C

# Allow distro-specific behaviour
DISTRO :=$(shell sed -ne '/DISTRIB_ID/s/.*=//p' /etc/lsb-release 2>/dev/null || echo Debian)
SYS_BLKID_VER := $(shell dpkg-query -W libblkid1 | cut -f 2 | cut -b 1)
ifeq ($(SYS_BLKID_VER),2)
UTIL_LINUX_NG ?= yes
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_OS   ?= $(shell dpkg-architecture -qDEB_HOST_OS)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# find the version for the main package, from changelog file
MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
# find versions for libraries going into their own packages, from their Makefile.in's,
# and sonames for all libs
COMERR_VERSION = $(shell grep ELF_VERSION lib/et/Makefile.in | cut '-d ' -f3)
COMERR_SOVERSION = $(shell grep ELF_SO_VERSION lib/et/Makefile.in | cut '-d ' -f3)
SS_VERSION = $(shell grep ELF_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
SS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ss/Makefile.in | cut '-d ' -f3)

ifneq ($(UTIL_LINUX_NG),yes)
UUID_VERSION = $(shell grep ELF_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
UUID_SOVERSION = $(shell grep ELF_SO_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)

BLKID_VERSION = $(shell grep ELF_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
BLKID_SOVERSION = $(shell grep ELF_SO_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
endif

EXT2FS_SOVERSION = $(shell grep ELF_SO_VERSION lib/ext2fs/Makefile.in | cut '-d ' -f3)
E2P_SOVERSION = $(shell grep ELF_SO_VERSION lib/e2p/Makefile.in | cut '-d ' -f3)

package=e2fsprogs

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
udebdir=${debdir}/e2fsprogs-udeb
ifneq ($(UTIL_LINUX_NG),yes)
blkidudebdir=${debdir}/libblkid1-udeb
uuidudebdir=${debdir}/libuuid1-udeb
endif
libcomerrdir=${debdir}/libcomerr${COMERR_SOVERSION}
comerrdevdir=${debdir}/comerr-dev
libcomerrdbgdir=${debdir}/libcomerr2-dbg
libssdir=${debdir}/libss${SS_SOVERSION}
ssdevdir=${debdir}/ss-dev
libssdbgdir=${debdir}/libss2-dbg
ifneq ($(UTIL_LINUX_NG),yes)
libblkiddir=${debdir}/libblkid${BLKID_SOVERSION}
libblkiddevdir=${debdir}/libblkid-dev
libblkiddbgdir=${debdir}/libblkid1-dbg
libuuiddir=${debdir}/libuuid${UUID_SOVERSION}
uuiddevdir=${debdir}/uuid-dev
libuuiddbgdir=${debdir}/libuuid1-dbg
uuidruntimedir=${debdir}/uuid-runtime
uuidruntimedbgdir=${debdir}/uuid-runtime-dbg
endif
libext2dir=${debdir}/e2fslibs
libext2devdir=${debdir}/e2fslibs-dev
libext2dbgdir=${debdir}/e2fslibs-dbg
maindir=${debdir}/e2fsprogs
e2fsckstaticdir=${debdir}/e2fsck-static
debugdir=${debdir}/e2fsprogs-dbg
stdbuilddir=${debdir}/BUILD-STD
bfbuilddir=${debdir}/BUILD-BF
staticbuilddir=${debdir}/BUILD-STATIC
mipsbuilddir=${debdir}/BUILD-MIPS
mipsbuilddir64=${debdir}/BUILD-MIPS-64
# docdir=${maindir}/usr/share/doc/${package}
MANDIR=/usr/share/man
mandir=${tmpdir}${MANDIR}

UDEB_NAME = $(package)-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UDEB_PRIORITY = $(shell grep '^Package: e2fsprogs-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifneq ($(UTIL_LINUX_NG),yes)
BLKID_UDEB_NAME = libblkid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
BLKID_UDEB_PRIORITY = $(shell grep '^Package: libblkid1-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)

UUID_UDEB_NAME = libuuid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UUID_UDEB_PRIORITY = $(shell grep '^Package: libuuid1-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)
endif

STAMPSDIR=debian/stampdir
CFGSTDSTAMP=${STAMPSDIR}/configure-std-stamp
CFGBFSTAMP=${STAMPSDIR}/configure-bf-stamp
CFGSTATICSTAMP=${STAMPSDIR}/configure-static-stamp
BUILDSTDSTAMP=${STAMPSDIR}/build-std-stamp
BUILDBFSTAMP=${STAMPSDIR}/build-bf-stamp
BUILDSTATICSTAMP=${STAMPSDIR}/build-static-stamp

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 0755

#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#INSTALL_PROGRAM += -s
#endif

ifeq (${DEB_HOST_ARCH},alpha)
CFLAGS += -DHAVE_NETINET_IN_H
else
CFLAGS += -D__NO_STRING_INLINES
endif

ifeq (${DEB_HOST_ARCH_OS},linux)
BUILD_STATIC = build-static
E2FSCK_STATIC = ${staticbuilddir}/e2fsck/e2fsck.static
else
E2FSCK_STATIC = ${stdbuilddir}/e2fsck/e2fsck.static
endif

BF_CFLAGS = -Os -fomit-frame-pointer

COMMON_CONF_FLAGS =  \
                --enable-elf-shlibs --infodir=/usr/share/info
ifeq ($(UTIL_LINUX_NG),yes)
COMMON_CONF_FLAGS += --disable-fsck --disable-libblkid \
			--disable-libuuid --disable-uuidd
else
COMMON_CONF_FLAGS += --enable-fsck
endif

STD_CONF_FLAGS = --enable-compression

BF_CONF_FLAGS = --disable-nls --disable-imager --disable-testio-debug \
	--disable-uuidd --disable-tls \
	--disable-debugfs  --disable-e2initrd-helper

STATIC_CONF_FLAGS = --disable-nls --disable-imager \
	--disable-uuidd --disable-tls \
	--disable-e2initrd-helper

MIPS_NOPIC_CONF_FLAGS = --disable-nls --disable-imager \
	--disable-uuidd --disable-tls \
        --disable-resizer # --disable-debugfs

# we can't use those flags at configure time
MIPS_CFLAGS= -G 0 -fno-pic -mno-abicalls
MIPS_CFLAGS_64= -mabi=64 -G 0 -fno-pic -mno-abicalls

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel))
ismips=ismips
endif
endif

M4_ARGS=
ifeq ($(UTIL_LINUX_NG),yes)
M4_ARGS+=-DUTIL_LINUX_NG
else
M4_ARGS+=-UUTIL_LINUX_NG
endif

debian-files: debian/control debian/e2fsprogs.shlibs.local

mrproper: clean
	rm debian/control debian/e2fsprogs.shlibs.local

debian/control: debian/control.in debian/rules
	m4 $(M4_ARGS) < debian/control.in > $@

debian/e2fsprogs.shlibs.local: debian/e2fsprogs.shlibs.local.in
	m4 $(M4_ARGS) < debian/e2fsprogs.shlibs.local.in > $@

${CFGSTDSTAMP}:
	dh_testdir

	# Make sure we don't try to rebuild the configure scripts
	find . -name configure | xargs touch

	mkdir -p ${stdbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${stdbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
		CFLAGS="${CFLAGS}"
else
	cd ${stdbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		CFLAGS="${CFLAGS}"
endif

  # specially-built MIPS libs
ifneq ($(ismips),)
	mkdir -p ${mipsbuilddir} ${mipsbuilddir64}
	cd ${mipsbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} CFLAGS="${CFLAGS}"
	cd ${mipsbuilddir64} && AWK=/usr/bin/awk \
		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} CFLAGS="${CFLAGS}"
endif

	mkdir -p ${STAMPSDIR}
	touch ${CFGSTDSTAMP}

${CFGBFSTAMP}:
	dh_testdir
	rm -f config.cache

	mkdir -p ${bfbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cd ${bfbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
		CFLAGS="${CFLAGS} ${BF_CFLAGS}"
else
	cd ${bfbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		CFLAGS="${CFLAGS}"
endif
	mkdir -p ${STAMPSDIR}
	touch ${CFGBFSTAMP}

${CFGSTATICSTAMP}:
	dh_testdir
	rm -f config.cache

	mkdir -p ${staticbuilddir}
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	if type diet > /dev/null  2>&1 ; then \
		cd ${staticbuilddir} && AWK=/usr/bin/awk \
		${topdir}/configure ${STATIC_CONF_FLAGS} \
		--with-diet-libc CFLAGS="${CFLAGS}"; \
	else \
		cd ${staticbuilddir} && AWK=/usr/bin/awk \
